PHPExcel_Reader_OOCalc

category | PHPExcel
package | PHPExcel_Reader
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Reader_OOCalc

    __construct()

## Can the current PHPExcel_Reader_IReader read the file?

    canRead(string $pFilename) : boolean

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`boolean`

## Read charts in workbook? If this is true, then the Reader will include any charts that exist in the workbook.

    getIncludeCharts() : boolean

Inherited

Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value. If false (the default) it will ignore any charts defined in the workbook file.

inherited_from | \PHPExcel_Reader_Abstract::getIncludeCharts()

### Returns

`boolean`

## Get which sheets to load Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null indicating that all worksheets in the workbook should be loaded.

    getLoadSheetsOnly() : mixed

Inherited

inherited_from | \PHPExcel_Reader_Abstract::getLoadSheetsOnly()

### Returns

`mixed`

## Read data only? If this is true, then the Reader will only read data values for cells, it will not read any formatting information.

    getReadDataOnly() : boolean

Inherited

If false (the default) it will read data and formatting.

inherited_from | \PHPExcel_Reader_Abstract::getReadDataOnly()

### Returns

`boolean`

## Read filter

    getReadFilter() : \PHPExcel_Reader_IReadFilter

Inherited

inherited_from | \PHPExcel_Reader_Abstract::getReadFilter()

### Returns

`\PHPExcel_Reader_IReadFilter`

## Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns)

    listWorksheetInfo(string $pFilename)

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

## Reads names of the worksheets from a file, without parsing the whole file to a PHPExcel object

    listWorksheetNames(string $pFilename)

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

## Loads PHPExcel from file

    load(string $pFilename) : \PHPExcel

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`\PHPExcel`

## Loads PHPExcel from file into PHPExcel instance

    loadIntoExisting(string $pFilename, \PHPExcel $objPHPExcel) : \PHPExcel

### Parameters

#### $pFilename

`string`

#### $objPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`\PHPExcel`

## Set read charts in workbook Set to true, to advise the Reader to include any charts that exist in the workbook.

    setIncludeCharts(boolean $pValue) : \PHPExcel_Reader_IReader

Inherited

Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value. Set to false (the default) to discard charts.

inherited_from | \PHPExcel_Reader_Abstract::setIncludeCharts()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Reader_IReader`

## Set all sheets to load Tells the Reader to load all worksheets from the workbook.

    setLoadAllSheets() : \PHPExcel_Reader_IReader

Inherited

inherited_from | \PHPExcel_Reader_Abstract::setLoadAllSheets()

### Returns

`\PHPExcel_Reader_IReader`

## Set which sheets to load

    setLoadSheetsOnly(mixed $value) : \PHPExcel_Reader_IReader

Inherited

inherited_from | \PHPExcel_Reader_Abstract::setLoadSheetsOnly()

### Parameters

#### $value

`mixed`

This should be either an array of worksheet names to be loaded, or a string containing a single worksheet name. If NULL, then it tells the Reader to read all worksheets in the workbook

### Returns

`\PHPExcel_Reader_IReader`

## Set read data only Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.

    setReadDataOnly(boolean $pValue) : \PHPExcel_Reader_IReader

Inherited

Set to false (the default) to advise the Reader to read both data and formatting for cells.

inherited_from | \PHPExcel_Reader_Abstract::setReadDataOnly()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Reader_IReader`

## Set read filter

    setReadFilter(\PHPExcel_Reader_IReadFilter $pValue) : \PHPExcel_Reader_IReader

Inherited

inherited_from | \PHPExcel_Reader_Abstract::setReadFilter()

### Parameters

#### $pValue

`\PHPExcel_Reader_IReadFilter`

### Returns

`\PHPExcel_Reader_IReader`

## Open file for reading

    _openFile(string $pFilename) : resource

Inherited

inherited_from | \PHPExcel_Reader_Abstract::_openFile()

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`resource`

## _parseRichText()

    _parseRichText($is)

### Parameters

#### $is

## identifyFixedStyleValue()

    identifyFixedStyleValue($styleList, $styleAttributeValue)

Static

### Parameters

#### $styleList

#### $styleAttributeValue

### Properties

##

    $_fileHandle

Inherited

inherited_from | \PHPExcel_Reader_Abstract::$$_fileHandle

##

    $_includeCharts : boolean

Inherited

inherited_from | \PHPExcel_Reader_Abstract::$$_includeCharts

##

    $_loadSheetsOnly : array

Inherited

If null, then all worksheets will be loaded.

inherited_from | \PHPExcel_Reader_Abstract::$$_loadSheetsOnly

##

    $_readDataOnly : boolean

Inherited

inherited_from | \PHPExcel_Reader_Abstract::$$_readDataOnly

##

    $_readFilter : \PHPExcel_Reader_IReadFilter

Inherited

inherited_from | \PHPExcel_Reader_Abstract::$$_readFilter

##

    $_styles : array